#
# spec file for package rubygem-google-protobuf
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-google-protobuf
Version:        3.25.2
Release:        2.1
%define mod_name google-protobuf
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubydevel >= 2.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://developers.google.com/protocol-buffers
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-google-protobuf-rpmlintrc
Source2:        gem2rpm.yml
# MANUAL
Patch0:         do-not-wrap.patch
Patch1:         0001-ruby-return-0-from-shared_convert.c-shared_message.c.patch
# /MANUAL
Summary:        Protocol Buffers
License:        BSD-3-Clause

%description
Protocol Buffers are Google's data interchange format.

%prep
%gem_unpack
%patch -P 0 -p1
%patch -P 1 -p2
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  -f
%gem_cleanup
# MANUAL
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.sitearchdir.-.google.time' \) -delete
# upstream did a chmod 0777 on everything
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '*.c' -o -name '*.h' -o -name '*.rb' -o -name 'LICENSE' \) -print0 | xargs -r0 chmod -x
# add the executable bit back to all scripts
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name 'well_known_types.rb' -o -name 'descriptor_dsl.rb' -o -name 'extconf.rb' \) -print0 | xargs -r0 chmod +x
# /MANUAL

%gem_packages

%changelog
* Tue May 21 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Replace %%patchN with %%patch -P N: %%patchN is deprecated.
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.25.2, no changelog found
* Mon Nov 20 2023 Dan Čermák <dcermak@suse.com>
- New upstream release 3.25.1
- Add 0001-ruby-return-0-from-shared_convert.c-shared_message.c.patch to fix
  build failures with -Werror=return-type
* Thu Nov 16 2023 Dan Čermák <dcermak@suse.com>
- Fix spurious +x permissions in the sources
* Tue May 23 2023 Илья Индиго <ilya@ilya.cf>
- Updated to 3.23.1
  * Rebase do-not-wrap.patch.
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.21.10
  no changelog found
* Thu Nov  3 2022 Marcus Rueckert <mrueckert@suse.de>
- cleanup gem2rpm.yml:
  - preamble:
  - this works for 2.5 and up just fine so disabling 2.7 is not
    needed.
  - post install:
  - we do not need to set +x bit just because the file has a she
    bang line. it is clearly a library.
  - use print0/xargs -r0 to avoid any problems with paths with
    whitespaces.
* Thu Nov  3 2022 Marcus Rueckert <mrueckert@suse.de>
- Add do-not-wrap.patch:
  * wrapping memcpy caused loading 'google/protobuf' to hang
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.21.9
  no changelog found
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.21.7
  no changelog found
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.21.5
  no changelog found
* Tue Aug 23 2022 Dan Čermák <dcermak@suse.com>
- Restrict builds to Ruby 3.1 on Tumbleweed
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.21.4
  no changelog found
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.20.1
  no changelog found
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.19.4
  no changelog found
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.14.0
  no changelog found
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 3.13.0
  no changelog found
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.11.4
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.11.3
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.9.0
  no changelog found
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.7.1
  no changelog found
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.7.0
  no changelog found
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 3.6.1
  no changelog found
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 3.5.1.2
  no changelog found
* Tue Jan  9 2018 coolo@suse.com
- updated to version 3.5.1
  no changelog found
* Thu Dec 14 2017 coolo@suse.com
- updated to version 3.5.0
  no changelog found
* Sat Sep 23 2017 mrueckert@suse.de
- update to 3.4.1.1
* Mon Jun 19 2017 mrueckert@suse.de
- update to 3.3.0
* Thu Mar 23 2017 mrueckert@suse.de
- initial package
